hw_GetObjectByQuery
hw_GetObjectByQueryCollObj
Hyperwave Functions
PHP Manual

# hw_GetObjectByQueryColl

Search object in collection

### Description

array hw_getobjectbyquerycoll ( int `$connection` , int `$objectID` , string `$query` , int `$max_hits` )

Searches for objects in collection with ID `objectID` and returns an array of object ids.

### Parameters

`connection`

  The connection identifier.

`objectID`

  The collection id.

`query`

  The query will only work with indexed attributes.

`max_hits`

  The maximum number of matches is limited to `max_hits`. If `max_hits` is set to -1 the maximum number of matches is unlimited.

### Return Values

Returns an array of object ids.

### See Also

- hw_getobjectbyquerycollobj